Rename minimalized(l) into IdealOfMinGens(l)?
06 Mar 2017 16:02 - Anna Maria Bigatti
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 90%
Category: Renaming Estimated time: 1.51 hour
Target version: CoCoA-5.2.2 Spent time: 1.50 hour
Description

| have added IdealOfGBasis(l) to cocoa-5.
It is like saying ideal(GBasis(l)) and SetGBasisAsGens (not available in cocoa-5).

| think the same should be made for IdealOfMinGens(l).
Indeed this already exists: it is called minimalized(l) in cocoa-5.
(not present in cocoalib)

| think IdealOfMinGens(l) is prettier ;-)
Should | add it?
Should minimalized become obsolescent? or should they just coexist?

Related issues:

Related to CoCoALib - Feature #957: New function: HasGBasis Closed 27 Oct 2016
Related to CoCoA-5 - Feature #996: New function: IdealOfGBasis Closed 12 Jan 2017
Related to CoCoALib - Feature #1053: New function: IdealOfGBasis, IdealOfMinG... Closed 26 Apr 2017
Related to CoCoA-5 - Design #1123: Should "minimalize" be obsolescent? Closed 16 Nov 2017
Related to CoCoALib - Feature #1126: New function: SubmoduleOfMinGens Closed 20 Nov 2017
History

#1 - 06 Mar 2017 16:51 - Anna Maria Bigatti
- Related to Feature #957: New function: HasGBasis added

#2 - 06 Mar 2017 16:51 - Anna Maria Bigatti
- Related to Feature #996: New function: IdealOfGBasis added

#3 - 06 Mar 2017 17:40 - John Abbott

| like IdealOfMinGens.
| do not much like minimalize(l), so suggest making it obsolescent.

Presumably IdealOfMinGens should also copy any 3-way flags from the original ideal? Actually, this is an argument in favour of minimalize :-/

#4 - 06 Mar 2017 21:52 - Anna Maria Bigatti
John Abbott wrote:

| like IdealOfMinGens.
| do not much like minimalize(l), so suggest making it obsolescent.

good

Presumably IdealOfMinGens should also copy any 3-way flags from the original ideal? Actually, this is an argument in favour of minimalize :-/
| just copied it ;-)

#5 - 08 Mar 2017 18:58 - John Abbott

- Status changed from New to In Progress

See also the discussion in issue #996 about which bool3 flags can be (ought to be) copied, and which cannot.

#6 - 26 Apr 2017 16:06 - Anna Maria Bigatti

I'm about to make minimalized obsolescent (cocoa and cocoalib).
Should | do the same for minimalize (suggesting "l := IdealOfMinGens(l)")?

#7 - 26 Apr 2017 16:49 - Anna Maria Bigatti
- Target version changed from CoCoA-5.2.0 spring 2017 to CoCoA-5.2.2

Changed my mind :-(
minimalized is also for modules. This needs more thinking.
Postponing to next release.

#8 - 26 Apr 2017 18:02 - Anna Maria Bigatti
- Related to Feature #1053: New function: IdealOfGBasis, IdealOfMinGens in CoCoALib added

#9 - 16 Nov 2017 11:54 - Anna Maria Bigatti

- Related to Design #1123: Should "minimalize" be obsolescent? added

#10 - 20 Nov 2017 15:47 - Anna Maria Bigatti
- Status changed from In Progress to Closed

- % Done changed from 50 to 90

- Estimated time changed from 1.00 h to 1.51 h

Done.
It should also be dome properly for modules, doing in CoCoALib SubmoduleOfGBasis and SubmoduleOfMinGens.

#11 - 20 Nov 2017 16:05 - Anna Maria Bigatti
- Related to Feature #1126: New function: SubmoduleOfMinGens added
